Bug 481454 - "Encrypted Data" volume that isn't
"Encrypted Data" volume that isn't
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 21:56 EST by morgan read
Modified: 2015-03-03 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:08:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description morgan read 2009-01-24 21:56:19 EST
Description of problem:
I chose to encrypt all volumes (sans /boot) on my disk at install of f10.  Now, since the install, I have a "39.8 GB Encrypted Data" volume under ~/Desktop/Computer and also under the menu Places.  I have a 40GB HD, so that's all 4 encrypted partitions (I assume) that are lumped together: /; /home; /usr/local; swap.  If I click to open ~/Desktop/Computer/"39.8 GB Encrypted Data" I get the "Unlock Encrypted Data (partition 2)" window, entering the password for the encrypted partitions gives me a window with:
Unable to mount location
Internal error: No mount object for mounted volume
[OK]

Version-Release number of selected component (if applicable):
gvfs-1.0.3-4.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Encrypt volumes on install
2. Get spurious "39.8 GB Encrypted Data" volume
3. Attempt to open
  
Actual results:
spurious "39.8 GB Encrypted Data" volume

Expected results:
No "39.8 GB Encrypted Data" volume.  Once I've entered the password at the boot prompt, I can see all my volumes as if they were not encrypted.  I don't need to see any "Encrypted Data" volumes - whether real or not.

Additional info:
Comment 1 Jarkko 2009-05-14 17:15:31 EDT
I'd like to add that at least on F9 I actually see two "Encrypted Data" volumes while I actually only have one.

It's true though that I shouldn't be seeing those at all because the volume is already unlocked.
Comment 2 Bug Zapper 2009-11-18 05:51:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:48:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jarkko 2010-04-27 13:24:56 EDT
On F11 I see "LVM2 Physical Volume". So it doesn't say "Encrypted Data" and I "only" see one.

Though, I don't think there should even be that one because if I click it, I get:

"org.freedesktop.DeviceKit.Disks.Error.Failed: Not a mountable file system"

Which is not a surprise because this file system is of course already mounted.
Comment 5 morgan read 2010-05-03 07:26:55 EDT
Ditto

But, the hard-drive icon displays with a little opened padlock displayed in the bottom right corner - which I assume means an encrypted volume that's been unlocked.
Comment 6 Tomáš Bžatek 2010-05-03 08:32:40 EDT
AFAIK there's no support for LVM volumes in F11 GVfs, this support is coming in F13 - see http://fedoraproject.org/wiki/Features/UdisksImprovements
Comment 7 Bug Zapper 2010-06-28 07:08:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.